Bug 25291 - Barcode should be escaped everywhere in html code
Summary: Barcode should be escaped everywhere in html code
Status: Pushed to stable
Alias: None
Product: Koha
Classification: Unclassified
Component: Circulation (show other bugs)
Version: master
Hardware: All All
: P5 - low trivial (vote)
Assignee: didier
QA Contact: Testopia
URL:
Keywords:
Depends on: 14697 24166
Blocks:
  Show dependency treegraph
 
Reported: 2020-04-27 12:38 UTC by didier
Modified: 2020-05-15 17:31 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
20.05.00, 19.11.06


Attachments
Bug 25291: Escape barcode in ReturnClaims table display (1.48 KB, patch)
2020-04-27 12:55 UTC, didier
Details | Diff | Splinter Review
Bug 25291: Escape barcode in ReturnClaims table display (1.55 KB, patch)
2020-04-27 12:59 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 25291: Escape barcode in ReturnClaims table display (1.61 KB, patch)
2020-04-27 13:04 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 25291: Escape barcode in ReturnClaims table display (1.71 KB, patch)
2020-04-27 14:25 UTC, didier
Details | Diff | Splinter Review
Bug 25291: Escape barcode in ReturnClaims table display (1.84 KB, patch)
2020-04-27 14:34 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description didier 2020-04-27 12:38:01 UTC

    
Comment 1 didier 2020-04-27 12:55:20 UTC
Created attachment 103782 [details] [review]
Bug 25291: Escape barcode in ReturnClaims table display
Comment 2 Kyle M Hall 2020-04-27 12:59:37 UTC
Created attachment 103783 [details] [review]
Bug 25291: Escape barcode in ReturnClaims table display

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 3 Jonathan Druart 2020-04-27 13:04:24 UTC
Created attachment 103785 [details] [review]
Bug 25291: Escape barcode in ReturnClaims table display

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 4 didier 2020-04-27 14:25:48 UTC Comment hidden (obsolete)
Comment 5 Jonathan Druart 2020-04-27 14:34:06 UTC
Created attachment 103796 [details] [review]
Bug 25291: Escape barcode in ReturnClaims table display

Test Plan:

1) Set ClaimReturnedLostValue
2) Create a checkout
3) Claim a return
4) Change the barcode to something with html inside, </a> will do

Without this patch cgi-bin/koha/members/moremember.pl claim tab barcode link is broken.

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 6 Martin Renvoize 2020-04-29 15:19:25 UTC
Welcome aboard Didier :)
Comment 7 Martin Renvoize 2020-04-29 15:25:36 UTC
Nice work everyone!

Pushed to master for 20.05
Comment 8 Joy Nelson 2020-05-08 22:12:42 UTC
Backported to 19.11.x for 19.11.06
Comment 9 Lucas Gass 2020-05-14 22:26:48 UTC
doesnt apply cleanly to 19.05.x, if needed please rebase
Comment 10 didier 2020-05-15 17:31:05 UTC
(In reply to Lucas Gass from comment #9)
> doesnt apply cleanly to 19.05.x, if needed please rebase

It's a fix to Bug 14697 committed after and not backported to 19.05.x